Page MenuHomeFreeBSD

D10738.id28524.diff
No OneTemporary

D10738.id28524.diff

Index: usr.sbin/bsdinstall/scripts/script
===================================================================
--- usr.sbin/bsdinstall/scripts/script
+++ usr.sbin/bsdinstall/scripts/script
@@ -53,8 +53,6 @@
error()
{
- [ -f "$PATH_FSTAB" ] && bsdinstall umount
-
local file
f_getvar "$VAR_DEBUG_FILE#+" file
if [ "$file" ]; then
@@ -63,6 +61,14 @@
# No need to restore title, pining for the fjords
fi
+ [ ! -f "$PATH_FSTAB" ] && exit 1
+ if [ "$ZFSBOOT_DISKS" ]; then
+ : ${ZFSBOOT_POOL_NAME:=zroot}
+ zpool export $ZFSBOOT_POOL_NAME
+ else
+ bsdinstall umount
+ fi
+
exit 1
}
@@ -99,8 +105,8 @@
bsdinstall zfsboot
else
bsdinstall scriptedpart "$PARTITIONS"
+ bsdinstall mount
fi
-bsdinstall mount
# Unpack distributions
bsdinstall checksum
@@ -128,7 +134,12 @@
fi
bsdinstall entropy
-bsdinstall umount
+if [ "$ZFSBOOT_DISKS" ]; then
+ : ${ZFSBOOT_POOL_NAME:=zroot}
+ zpool export $ZFSBOOT_POOL_NAME
+else
+ bsdinstall umount
+fi
f_dprintf "Installation Completed at %s" "$( date )"

File Metadata

Mime Type
text/plain
Expires
Mon, Oct 5, 10:01 AM (9 h, 49 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
40235370
Default Alt Text
D10738.id28524.diff (1 KB)

Event Timeline